1. Claimants
LitPRO API
  • Getting Started
  • Claimants
    • Get Claimants
      GET
    • Create Claimant
      POST
    • Get Claimant
      GET
    • Get Claimant Enrollments
      GET
    • Add Claimant Document
      POST
    • Update an Existing Claimant
      PUT
  • Settlements
    • Get Settlements
      GET
    • Create Settlement
      POST
    • Get Settlement
      GET
    • Update an Existing Settlement
      PUT
  • Liens
    • Get Liens
      GET
    • Get Lien
      GET
  • Projects
    • Get Projects
      GET
  • Invoices
    • Get Invoices
      GET
    • Get Invoice
      GET
  • Schemas
    • Sample Schemas
      • Settlements
      • Claimants
  1. Claimants

Create Claimant

POST
/claimants

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Examples

Responses

🟢201Created
application/json
Bodyapplication/json

🟠422Parameter Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://portal.litpro.com/api/v1/claimants' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "first_name": "Jane",
    "last_name": "Doe",
    "ssn": "123-45-1226",
    "gender": "female",
    "date_of_birth": "2020-12-30",
    "address": "123 Fake Street",
    "city": "Sometown",
    "state": "CA",
    "zip": "90210",
    "client_file_num": "123403-3434",
    "state_date_of_injury": "NY",
    "project_uuid": "a4b2a6c6-9a36-4fdf-8ffb-330d44d16e8d",
    "injury": "Broken Leg",
    "diagnose_date": "2022-10-18"
}'
Response Response Example
201 - Example 1
{
    "data": {
        "id": 0,
        "client": "string",
        "first_name": "string",
        "last_name": "string",
        "gender": "string",
        "ssn": "string",
        "date_of_birth": "string",
        "date_of_death": null,
        "address": "string",
        "address2": null,
        "city": "string",
        "state": "string",
        "zip": "string",
        "client_file_num": "string",
        "state_date_of_injury": "string",
        "case_type": null,
        "case_type_description": null,
        "project": "string",
        "injured_on": null,
        "injury": "string",
        "diagnose_date": "string",
        "wrongful_death": null,
        "created_at": "string"
    }
}
Modified at 2025-09-10 18:43:46
Previous
Get Claimants
Next
Get Claimant